# AzureClusterlessHPC.jl - Examples

This directory contains Jupyter notebooks with different examples of how to use AzureClusterlessHPC.jl.


The following tutorials are available:

- [Basic usage](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/batch/julia_batch_macros.ipynb)

- [Access Azure Blob Storage from remotely executed functions](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/blob/redwood_blob_storage.ipynb)

- [Start pools with Docker containers](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/container/julia_batch_docker.ipynb)

- [Run parallel MPI tasks](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/mpi/julia_batch_mpi.ipynb)

- [Run parallel pmap tasks (nested pmap loops)](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/distributed/julia_batch_distributed.ipynb)


In addition, the following tutorials show how `AzureClusterlessHPC.jl` can be used to parallelize existing Julia packages:

- Seismic [modeling](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/cofii/cofii_modeling_batch.ipynb), [imaging](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/cofii/cofii_rtm_batch.ipynb) and [inversion](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/cofii/cofii_fwi_batch.ipynb) with [COFII.jl](https://github.com/ChevronETC/Examples)

- [Seismic modeling and inversion](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/judi/judi_modeling_batch.ipynb) with [JUDI.jl](https://github.com/slimgroup/JUDI.jl)

- [Deep learning](https://github.com/microsoft/AzureClusterlessHPC.jl/blob/main/examples/flux/flux_ml_batch.ipynb) with [Flux.jl](https://github.com/FluxML/Flux.jl)